package com.steering.mes.mcp.entity;

/**
 * 数据库表MCH_CRACK_DETECTION所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-10-11
 */
@SuppressWarnings("serial")
public class MchCrackDetectionEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 探伤等级
     */
    private String testingGrade = "";
    /**
     * 探伤类型 10 : UT超声   11: 超声手探    12: MT磁粉    13: 磁粉手探
     */
    private String testingType = "";
    /**
     * 作业支数（合格）
     */
    private String proNum = "";
    /**
     * 作业重量（合格）
     */
    private String proWt = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 切合支数
     */
    private String cutNum = "";
    /**
     * 切合量
     */
    private String cutWt = "";
    /**
     * 可疑支数
     */
    private String dubiousNum = "";
    /**
     * 可疑重量
     */
    private String dubiousWt = "";
    /**
     * 复探支数
     */
    private String ftestingNum = "";
    /**
     * 复探重量
     */
    private String ftestingWt = "";
    /**
     * 复探合格支数
     */
    private String fpassNum = "";
    /**
     * 复探合格重量
     */
    private String fpassWt = "";
    /**
     * 操作班次
     */
    private String proShift = "";
    /**
     * 操作班组
     */
    private String proGroup = "";
    /**
     * 操作人
     */
    private String proUser = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 操作时间
     */
    private String proTime = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 探伤等级
     * @return value
     */
    public String getTestingGrade() {
        return testingGrade;
    }

    /**
     * 探伤等级
     * @param testingGrade value
     */
    public void setTestingGrade(String testingGrade) {
        this.testingGrade = testingGrade;
    }

    /**
     * 探伤类型 10 : UT超声   11: 超声手探    12: MT磁粉    13: 磁粉手探
     * @return value
     */
    public String getTestingType() {
        return testingType;
    }

    /**
     * 探伤类型 10 : UT超声   11: 超声手探    12: MT磁粉    13: 磁粉手探
     * @param testingType value
     */
    public void setTestingType(String testingType) {
        this.testingType = testingType;
    }

    /**
     * 作业支数（合格）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（合格）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量（合格）
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量（合格）
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 切合支数
     * @return value
     */
    public String getCutNum() {
        return cutNum;
    }

    /**
     * 切合支数
     * @param cutNum value
     */
    public void setCutNum(String cutNum) {
        this.cutNum = cutNum;
    }

    /**
     * 切合量
     * @return value
     */
    public String getCutWt() {
        return cutWt;
    }

    /**
     * 切合量
     * @param cutWt value
     */
    public void setCutWt(String cutWt) {
        this.cutWt = cutWt;
    }

    /**
     * 可疑支数
     * @return value
     */
    public String getDubiousNum() {
        return dubiousNum;
    }

    /**
     * 可疑支数
     * @param dubiousNum value
     */
    public void setDubiousNum(String dubiousNum) {
        this.dubiousNum = dubiousNum;
    }

    /**
     * 可疑重量
     * @return value
     */
    public String getDubiousWt() {
        return dubiousWt;
    }

    /**
     * 可疑重量
     * @param dubiousWt value
     */
    public void setDubiousWt(String dubiousWt) {
        this.dubiousWt = dubiousWt;
    }

    /**
     * 复探支数
     * @return value
     */
    public String getFtestingNum() {
        return ftestingNum;
    }

    /**
     * 复探支数
     * @param ftestingNum value
     */
    public void setFtestingNum(String ftestingNum) {
        this.ftestingNum = ftestingNum;
    }

    /**
     * 复探重量
     * @return value
     */
    public String getFtestingWt() {
        return ftestingWt;
    }

    /**
     * 复探重量
     * @param ftestingWt value
     */
    public void setFtestingWt(String ftestingWt) {
        this.ftestingWt = ftestingWt;
    }

    /**
     * 复探合格支数
     * @return value
     */
    public String getFpassNum() {
        return fpassNum;
    }

    /**
     * 复探合格支数
     * @param fpassNum value
     */
    public void setFpassNum(String fpassNum) {
        this.fpassNum = fpassNum;
    }

    /**
     * 复探合格重量
     * @return value
     */
    public String getFpassWt() {
        return fpassWt;
    }

    /**
     * 复探合格重量
     * @param fpassWt value
     */
    public void setFpassWt(String fpassWt) {
        this.fpassWt = fpassWt;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 操作班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 操作班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 操作人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 操作人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 操作时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }
}